/*
  ProcessingErrors.cpp

  Processing Errors Implementation

  Autor: Daniela Slavkova
*/

/*--------------------------------------------------------------------------
  Body Identification
--------------------------------------------------------------------------*/
#define PROCESSINGERRORS

/*-------------------------------------------------------------------------
  Included files
--------------------------------------------------------------------------*/
#include "stdafx.h"

#include "ProcessingErrors.h"
#include <iomanip>

/*--------------------------------------------------------------------------
  Local constants
--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------
  Local macro
--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------
  Local type
--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------
  Local data
--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------
  Constant local data
--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------
  Exported data
--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------
  Constant exported data
--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------
  Local function prototypes
--------------------------------------------------------------------------*/

/*============================================================================
============================= PRIVATE FUNCTIONS ==============================
============================================================================*/

/*============================================================================
============================== PUBLIC FUNCTIONS ========================
============================================================================*/

/*============================================================================
============================== LOCAL FUNCTIONS ===============================
============================================================================*/

/*============================================================================
============================= EXPORTED FUNCTIONS =============================
============================================================================*/
void ProcessError(string ErrorDescription)
{
	fstream LogFile("LogFile.txt", ios::out | ios::app);
	
	if(LogFile.is_open())
	{
		CTime CurrTime = CTime::GetCurrentTime();

		int Day = CurrTime.GetDay();
		int Month = CurrTime.GetMonth();
		int Year = CurrTime.GetYear();
		int Hour = CurrTime.GetHour();
		int Minute = CurrTime.GetMinute();
		int Second = CurrTime.GetSecond();

		LogFile << setw(2) << Day << "/" 
			    << setw(2) << Month << "/" 
				<< setw(2) << Year << " " 
				<< setw(2) << Hour << ":" 
				<< setw(2) << Minute << ":" 
				<< setw(2) << Second << " >> ";

		LogFile << ErrorDescription << "\n";
	}
}
