// CreateDictionaryDlg.h : header file

#ifndef __CREATEDICTIONARYDLG_H__
#define __CREATEDICTIONARYDLG_H__

class CCreateDictionaryDlg : public CDialog
{
// Construction
public:
	CCreateDictionaryDlg::CCreateDictionaryDlg(CString strDatabase, 
										   CString strTable,
										   CString strColumn,
										   CString strOutputFile,
										   CWnd* pParent = NULL);
	CString GetRequest() const { return m_strOutputFile; }

// Attributes
	IFdaObjPtr m_pFdaObj;
// Dialog Data
	//{{AFX_DATA(CCreateDictionaryDlg)
	enum { IDD = IDD_CREATE };
	CString			m_strDatabase;
	CString			m_strTable;
	CComboBox		m_TableNameComboControl;
	CComboBox		m_ColumnNameComboControl;
	CDaoDatabase	*m_pDatabase;
	CString			m_strColumn;
	CString			m_strOutputFile;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCreateDictionaryDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCreateDictionaryDlg)
	virtual BOOL OnInitDialog();
//	afx_msg void OnPaint();
	afx_msg void OnButtonBrowse();
	afx_msg void OnButtonCreateDictionary();
	afx_msg void OnDropdownComboTableName();
	afx_msg void OnDropdownComboColumnName();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif //__CreateDictionaryDlg_H__
