// RequestDlg.h : header file

#ifndef __REQUESTDLG_H__
#define __REQUESTDLG_H__

class CRequestDlg : public CDialog
{
// Construction
public:
	CRequestDlg(CString iStorageFile,  
				CWnd* pParent = NULL);

	~CRequestDlg();
	CString GetRequest() const { return m_strRequestedWord; }

// Attributes
	IFdaObjPtr m_pFdaObj;	
	CListBox m_ListBox;
    int NumDistance;

// Dialog Data
protected:
	//{{AFX_DATA(CRequestDlg)
	enum { IDD = IDD_REQUEST };
	CString    m_strRequestedWord;
	CString    m_strResultsFile;
	UINT       m_nLevenstienDistance;
	CString    m_strStorageFile;
	CBitmapButton Button;
	
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRequestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonMakeRequest();
	afx_msg void OnButtonMoreResults();
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CRequestDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif //__RequestDlg_H__
